Uses of Package
org.apache.juneau.marshall.uon
Packages that use org.apache.juneau.marshall.uon
Package
Description
Marshallers
OpenAPI Marshalling Support
UON Marshalling Support
URL-Encoding Marshalling Support
REST Client API
-
Classes in org.apache.juneau.marshall.uon used by org.apache.juneau.marshall.marshallerClassDescriptionParses UON (a notation for URL-encoded query parameter values) text into POJO models.Serializes POJO models to UON (a notation for URL-encoded query parameter values).
-
Classes in org.apache.juneau.marshall.uon used by org.apache.juneau.marshall.oapiClassDescriptionInterface for providing access to
UonClassMetaandUonBeanPropertyMetaobjects.Parses UON (a notation for URL-encoded query parameter values) text into POJO models.Builder class.Session object that lives for the duration of a single use ofUonParser.Builder class.Serializes POJO models to UON (a notation for URL-encoded query parameter values).Builder class.Session object that lives for the duration of a single use ofUonSerializer.Builder class. -
Classes in org.apache.juneau.marshall.uon used by org.apache.juneau.marshall.uonClassDescriptionIdentifies the possible values for the
UonSerializer.Builder.paramFormat(ParamFormat)setting.Annotation that can be applied to classes, fields, and methods to tweak how they are handled byUonSerializerandUonParser.Builder class.Dynamically applies a@Uonannotation to specified classes, methods, or fields.Builder class.Metadata on bean properties specific to the UON serializers and parsers pulled from the@Uonannotation on the bean property.Metadata on classes specific to the UON serializers and parsers pulled from the@Uonannotation on the class.Annotation for specifying config properties defined inUonSerializerandUonParser.Interface for providing access toUonClassMetaandUonBeanPropertyMetaobjects.Parses UON (a notation for URL-encoded query parameter values) text into POJO models.Builder class.Concrete default builder leaf for the non-subclassedUonParser.create()/UonParser.copy()path.Session object that lives for the duration of a single use ofUonParser.Builder class.Same functionality asParserReaderexcept automatically decoded%xx escape sequences.Serializes POJO models to UON (a notation for URL-encoded query parameter values).Builder class.Concrete default builder leaf for the non-subclassedUonSerializer.create()/UonSerializer.copy()path.Session object that lives for the duration of a single use ofUonSerializer.Builder class.Specialized writer for serializing UON-encoded text. -
Classes in org.apache.juneau.marshall.uon used by org.apache.juneau.marshall.urlencodingClassDescriptionInterface for providing access to
UonClassMetaandUonBeanPropertyMetaobjects.Parses UON (a notation for URL-encoded query parameter values) text into POJO models.Builder class.Session object that lives for the duration of a single use ofUonParser.Builder class.Serializes POJO models to UON (a notation for URL-encoded query parameter values).Builder class.Session object that lives for the duration of a single use ofUonSerializer.Builder class. -
Classes in org.apache.juneau.marshall.uon used by org.apache.juneau.rest.client.classicClassDescriptionIdentifies the possible values for the
UonSerializer.Builder.paramFormat(ParamFormat)setting.